path: /build/build/tepl-gui-libs-4-4.4.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-test introspection prefix vala" emerge gui-libs/tepl:4 -pv -t && \
    USE="-test introspection prefix vala" emerge -j ${JOBS} --nodeps gui-libs/tepl:4
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/tepl && luet-portage --dir /pkgdir/tepl
    gui-libs/tepl:4 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:90ad06d7cc4e9b92d341caab663e545045b65d2261ae959a363472ff4bceac6a
  package:
    name: tepl
    version: 4.4.0
    category: gui-libs-4
    use_flags:
    - -test
    - introspection
    - prefix
    - vala
    requires:
    - name: gtksourceview
      version: '>=0'
      category: x11-libs-4
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: GtkSourceView-based text editors and IDE helper library
    uri:
    - https://wiki.gnome.org/Projects/Gtef
    license: LGPL-2.1+
    buildtimestamp: 2023-09-12 05:10:54.321845227 +0000 UTC m=+82.117780441
    labels:
      BDEPEND: '>=app-portage/elt-patches-20170815 app-arch/xz-utils test? ( !prefix?
        ( x11-base/xorg-server[xvfb] ) x11-apps/xhost )'
      DEPEND: '>=x11-libs/amtk-5.0 >=dev-libs/glib-2.62.2:2 >=x11-libs/gtk+-3.24.12:3
        >=x11-libs/gtksourceview-4.0 >=dev-libs/libxml2-2.5 app-i18n/uchardet introspection?
        ( >=dev-libs/gobject-introspection-1.62.0:= ) test? ( dev-util/valgrind )
        vala? ( || ( dev-lang/vala:0.50[vapigen(+)] dev-lang/vala:0.48[vapigen(+)]
        dev-lang/vala:0.46[vapigen(+)] dev-lang/vala:0.44[vapigen(+)] dev-lang/vala:0.42[vapigen(+)]
        dev-lang/vala:0.40[vapigen(+)] dev-lang/vala:0.36[vapigen(+)] ) ) >=sys-devel/gettext-0.19.4
        >=dev-util/gtk-doc-am-1.25 virtual/pkgconfig dev-util/desktop-file-utils x11-misc/shared-mime-info'
      IUSE: +introspection test vala test
      RDEPEND: '>=x11-libs/amtk-5.0 >=dev-libs/glib-2.62.2:2 >=x11-libs/gtk+-3.24.12:3
        >=x11-libs/gtksourceview-4.0 >=dev-libs/libxml2-2.5 app-i18n/uchardet introspection?
        ( >=dev-libs/gobject-introspection-1.62.0:= )'
      emerge.packages: gui-libs/tepl:4
      kit: gnome-kit
      original.package.name: gui-libs/tepl
      original.package.slot: "4"
      original.package.version: 4.4.0
    treedir: /build/packages
  package_dir: /pkgdir/tepl
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: bddd4c7c209a28c5bd9d5004ba7149161bd838fb6338365063e2df0716a76a73
compressiontype: zstd
files:
- usr/include/tepl-4/tepl/tepl-abstract-factory-vala.h
- usr/include/tepl-4/tepl/tepl-abstract-factory.h
- usr/include/tepl-4/tepl/tepl-application-window.h
- usr/include/tepl-4/tepl/tepl-application.h
- usr/include/tepl-4/tepl/tepl-buffer.h
- usr/include/tepl-4/tepl/tepl-encoding.h
- usr/include/tepl-4/tepl/tepl-enum-types.h
- usr/include/tepl-4/tepl/tepl-file-loader.h
- usr/include/tepl-4/tepl/tepl-file-metadata.h
- usr/include/tepl-4/tepl/tepl-file-saver.h
- usr/include/tepl-4/tepl/tepl-file.h
- usr/include/tepl-4/tepl/tepl-fold-region.h
- usr/include/tepl-4/tepl/tepl-gutter-renderer-folds.h
- usr/include/tepl-4/tepl/tepl-info-bar.h
- usr/include/tepl-4/tepl/tepl-init.h
- usr/include/tepl-4/tepl/tepl-iter.h
- usr/include/tepl-4/tepl/tepl-menu-shell.h
- usr/include/tepl-4/tepl/tepl-metadata-manager.h
- usr/include/tepl-4/tepl/tepl-notebook.h
- usr/include/tepl-4/tepl/tepl-tab-group.h
- usr/include/tepl-4/tepl/tepl-tab-label.h
- usr/include/tepl-4/tepl/tepl-tab.h
- usr/include/tepl-4/tepl/tepl-types.h
- usr/include/tepl-4/tepl/tepl-utils.h
- usr/include/tepl-4/tepl/tepl-view.h
- usr/include/tepl-4/tepl/tepl.h
- usr/lib64/girepository-1.0/Tepl-4.typelib
- usr/lib64/libtepl-4.so
- usr/lib64/libtepl-4.so.0
- usr/lib64/libtepl-4.so.0.1.0
- usr/lib64/pkgconfig/tepl-4.pc
- usr/share/doc/tepl-4.4.0/AUTHORS
- usr/share/doc/tepl-4.4.0/ChangeLog
- usr/share/doc/tepl-4.4.0/HACKING.bz2
- usr/share/doc/tepl-4.4.0/NEWS.bz2
- usr/share/doc/tepl-4.4.0/README.bz2
- usr/share/gir-1.0/Tepl-4.gir
- usr/share/gtk-doc/html/tepl-4.0/TeplAbstractFactory.html
- usr/share/gtk-doc/html/tepl-4.0/TeplAbstractFactoryVala.html
- usr/share/gtk-doc/html/tepl-4.0/TeplApplication.html
- usr/share/gtk-doc/html/tepl-4.0/TeplApplicationWindow.html
- usr/share/gtk-doc/html/tepl-4.0/TeplBuffer.html
- usr/share/gtk-doc/html/tepl-4.0/TeplEncoding.html
- usr/share/gtk-doc/html/tepl-4.0/TeplFile.html
- usr/share/gtk-doc/html/tepl-4.0/TeplFileLoader.html
- usr/share/gtk-doc/html/tepl-4.0/TeplFileMetadata.html
- usr/share/gtk-doc/html/tepl-4.0/TeplFileSaver.html
- usr/share/gtk-doc/html/tepl-4.0/TeplFoldRegion.html
- usr/share/gtk-doc/html/tepl-4.0/TeplGutterRendererFolds.html
- usr/share/gtk-doc/html/tepl-4.0/TeplInfoBar.html
- usr/share/gtk-doc/html/tepl-4.0/TeplNotebook.html
- usr/share/gtk-doc/html/tepl-4.0/TeplTab.html
- usr/share/gtk-doc/html/tepl-4.0/TeplTabGroup.html
- usr/share/gtk-doc/html/tepl-4.0/TeplTabLabel.html
- usr/share/gtk-doc/html/tepl-4.0/TeplView.html
- usr/share/gtk-doc/html/tepl-4.0/annexes.html
- usr/share/gtk-doc/html/tepl-4.0/annotation-glossary.html
- usr/share/gtk-doc/html/tepl-4.0/api-breaks-1-to-2.html
- usr/share/gtk-doc/html/tepl-4.0/api-breaks-2-to-3-amtk.html
- usr/share/gtk-doc/html/tepl-4.0/api-breaks-2-to-3-tepl.html
- usr/share/gtk-doc/html/tepl-4.0/api-breaks-3-to-4-tepl.html
- usr/share/gtk-doc/html/tepl-4.0/api-breaks.html
- usr/share/gtk-doc/html/tepl-4.0/api-index-1-0.html
- usr/share/gtk-doc/html/tepl-4.0/api-index-2-0.html
- usr/share/gtk-doc/html/tepl-4.0/api-index-3-0.html
- usr/share/gtk-doc/html/tepl-4.0/api-index-4-0.html
- usr/share/gtk-doc/html/tepl-4.0/api-index-4-4.html
- usr/share/gtk-doc/html/tepl-4.0/api-index-full.html
- usr/share/gtk-doc/html/tepl-4.0/code-folding.html
- usr/share/gtk-doc/html/tepl-4.0/file-loading-and-saving.html
- usr/share/gtk-doc/html/tepl-4.0/framework.html
- usr/share/gtk-doc/html/tepl-4.0/general.html
- usr/share/gtk-doc/html/tepl-4.0/home.png
- usr/share/gtk-doc/html/tepl-4.0/index.html
- usr/share/gtk-doc/html/tepl-4.0/intro.html
- usr/share/gtk-doc/html/tepl-4.0/left-insensitive.png
- usr/share/gtk-doc/html/tepl-4.0/left.png
- usr/share/gtk-doc/html/tepl-4.0/menus-and-toolbars.html
- usr/share/gtk-doc/html/tepl-4.0/misc.html
- usr/share/gtk-doc/html/tepl-4.0/object-tree.html
- usr/share/gtk-doc/html/tepl-4.0/porting-guide-file-loading-and-saving.html
- usr/share/gtk-doc/html/tepl-4.0/porting-guides.html
- usr/share/gtk-doc/html/tepl-4.0/right-insensitive.png
- usr/share/gtk-doc/html/tepl-4.0/right.png
- usr/share/gtk-doc/html/tepl-4.0/style.css
- usr/share/gtk-doc/html/tepl-4.0/tepl-4.0-Tepl-Initialization-and-Finalization.html
- usr/share/gtk-doc/html/tepl-4.0/tepl-4.0-TeplIter.html
- usr/share/gtk-doc/html/tepl-4.0/tepl-4.0-TeplMenuShell.html
- usr/share/gtk-doc/html/tepl-4.0/tepl-4.0-TeplMetadataManager.html
- usr/share/gtk-doc/html/tepl-4.0/tepl-4.0-TeplUtils.html
- usr/share/gtk-doc/html/tepl-4.0/tepl-4.0.devhelp2
- usr/share/gtk-doc/html/tepl-4.0/tepl-api-reference.html
- usr/share/gtk-doc/html/tepl-4.0/up-insensitive.png
- usr/share/gtk-doc/html/tepl-4.0/up.png
- usr/share/locale/ca/LC_MESSAGES/tepl-4.mo
- usr/share/locale/cs/LC_MESSAGES/tepl-4.mo
- usr/share/locale/da/LC_MESSAGES/tepl-4.mo
- usr/share/locale/de/LC_MESSAGES/tepl-4.mo
- usr/share/locale/el/LC_MESSAGES/tepl-4.mo
- usr/share/locale/en_GB/LC_MESSAGES/tepl-4.mo
- usr/share/locale/es/LC_MESSAGES/tepl-4.mo
- usr/share/locale/eu/LC_MESSAGES/tepl-4.mo
- usr/share/locale/fur/LC_MESSAGES/tepl-4.mo
- usr/share/locale/hu/LC_MESSAGES/tepl-4.mo
- usr/share/locale/id/LC_MESSAGES/tepl-4.mo
- usr/share/locale/nl/LC_MESSAGES/tepl-4.mo
- usr/share/locale/pl/LC_MESSAGES/tepl-4.mo
- usr/share/locale/pt_BR/LC_MESSAGES/tepl-4.mo
- usr/share/locale/ro/LC_MESSAGES/tepl-4.mo
- usr/share/locale/ru/LC_MESSAGES/tepl-4.mo
- usr/share/locale/sl/LC_MESSAGES/tepl-4.mo
- usr/share/locale/sr/LC_MESSAGES/tepl-4.mo
- usr/share/locale/sv/LC_MESSAGES/tepl-4.mo
- usr/share/locale/tr/LC_MESSAGES/tepl-4.mo
- usr/share/locale/uk/LC_MESSAGES/tepl-4.mo
- var/db/pkg/gui-libs/tepl-4.4.0/BDEPEND
- var/db/pkg/gui-libs/tepl-4.4.0/BUILD_TIME
- var/db/pkg/gui-libs/tepl-4.4.0/CATEGORY
- var/db/pkg/gui-libs/tepl-4.4.0/CBUILD
- var/db/pkg/gui-libs/tepl-4.4.0/CFLAGS
- var/db/pkg/gui-libs/tepl-4.4.0/CHOST
- var/db/pkg/gui-libs/tepl-4.4.0/CONTENTS
- var/db/pkg/gui-libs/tepl-4.4.0/COUNTER
- var/db/pkg/gui-libs/tepl-4.4.0/CXXFLAGS
- var/db/pkg/gui-libs/tepl-4.4.0/DEFINED_PHASES
- var/db/pkg/gui-libs/tepl-4.4.0/DEPEND
- var/db/pkg/gui-libs/tepl-4.4.0/DESCRIPTION
- var/db/pkg/gui-libs/tepl-4.4.0/EAPI
- var/db/pkg/gui-libs/tepl-4.4.0/FEATURES
- var/db/pkg/gui-libs/tepl-4.4.0/HOMEPAGE
- var/db/pkg/gui-libs/tepl-4.4.0/INHERITED
- var/db/pkg/gui-libs/tepl-4.4.0/IUSE
- var/db/pkg/gui-libs/tepl-4.4.0/IUSE_EFFECTIVE
- var/db/pkg/gui-libs/tepl-4.4.0/KEYWORDS
- var/db/pkg/gui-libs/tepl-4.4.0/LDFLAGS
- var/db/pkg/gui-libs/tepl-4.4.0/LICENSE
- var/db/pkg/gui-libs/tepl-4.4.0/NEEDED
- var/db/pkg/gui-libs/tepl-4.4.0/PF
- var/db/pkg/gui-libs/tepl-4.4.0/PROVIDES
- var/db/pkg/gui-libs/tepl-4.4.0/RDEPEND
- var/db/pkg/gui-libs/tepl-4.4.0/REQUIRES
- var/db/pkg/gui-libs/tepl-4.4.0/SIZE
- var/db/pkg/gui-libs/tepl-4.4.0/SLOT
- var/db/pkg/gui-libs/tepl-4.4.0/USE
- var/db/pkg/gui-libs/tepl-4.4.0/environment.bz2
- var/db/pkg/gui-libs/tepl-4.4.0/repository
- var/db/pkg/gui-libs/tepl-4.4.0/tepl-4.4.0.ebuild
package_cacheimage: ""
runtime:
  name: tepl
  version: 4.4.0
  category: gui-libs-4
  use_flags:
  - -test
  - introspection
  - prefix
  - vala
  requires:
  - name: uchardet
    version: '>=0'
    category: app-i18n
  - name: amtk
    version: '>=0'
    category: x11-libs
  - name: gtksourceview
    version: '>=0'
    category: x11-libs-4
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: GtkSourceView-based text editors and IDE helper library
  uri:
  - https://wiki.gnome.org/Projects/Gtef
  license: LGPL-2.1+
  labels:
    BDEPEND: '>=app-portage/elt-patches-20170815 app-arch/xz-utils test? ( !prefix?
      ( x11-base/xorg-server[xvfb] ) x11-apps/xhost )'
    DEPEND: '>=x11-libs/amtk-5.0 >=dev-libs/glib-2.62.2:2 >=x11-libs/gtk+-3.24.12:3
      >=x11-libs/gtksourceview-4.0 >=dev-libs/libxml2-2.5 app-i18n/uchardet introspection?
      ( >=dev-libs/gobject-introspection-1.62.0:= ) test? ( dev-util/valgrind ) vala?
      ( || ( dev-lang/vala:0.50[vapigen(+)] dev-lang/vala:0.48[vapigen(+)] dev-lang/vala:0.46[vapigen(+)]
      dev-lang/vala:0.44[vapigen(+)] dev-lang/vala:0.42[vapigen(+)] dev-lang/vala:0.40[vapigen(+)]
      dev-lang/vala:0.36[vapigen(+)] ) ) >=sys-devel/gettext-0.19.4 >=dev-util/gtk-doc-am-1.25
      virtual/pkgconfig dev-util/desktop-file-utils x11-misc/shared-mime-info'
    IUSE: +introspection test vala test
    RDEPEND: '>=x11-libs/amtk-5.0 >=dev-libs/glib-2.62.2:2 >=x11-libs/gtk+-3.24.12:3
      >=x11-libs/gtksourceview-4.0 >=dev-libs/libxml2-2.5 app-i18n/uchardet introspection?
      ( >=dev-libs/gobject-introspection-1.62.0:= )'
    emerge.packages: gui-libs/tepl:4
    kit: gnome-kit
    original.package.name: gui-libs/tepl
    original.package.slot: "4"
    original.package.version: 4.4.0
